Owczarzy08MagnesiumCorrection
Date: 2014-08-08

melting.ionCorrection.magnesiumCorrections

## Class Owczarzy08MagnesiumCorrection

- java.lang.Object
- - melting.ionCorrection.magnesiumCorrections.Owczarzy08MagnesiumCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod
  Direct Known Subclasses:
    Owczarzy08MixedNaMgCorrection

      public class Owczarzy08MagnesiumCorrection
      extends java.lang.Object
      implements CorrectionMethod, NamedMethod

  This class represents the magnesium correction model owc08. It implements the CorrectionMethod interface Richard Owczarzy, Bernardo G Moreira, Yong You, Mark A Behlke, Joseph A walder, "Predicting stability of DNA duplexes in solutions containing magnesium and monovalent cations", 2008, Biochemistry, 47, 5336-5353.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `a`
    `protected double` | `b`
    `protected double` | `c`
    `protected double` | `d`
    `protected double` | `e`
    `protected double` | `f`
    `protected double` | `g`
    `protected static java.lang.String` | `temperatureCorrection` temperature formula

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Owczarzy08MagnesiumCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `protected double` | `correctTemperature(Environment environment)` corrects the computed melting temperature depending on the environment.
    `protected void` | `displayVariable()` logs the a, d and g variables.
    `java.lang.String` | `getName()` Gets the full name of the method.
    `boolean` | `isApplicable(Environment environment)` Check if the environment chosen by the user is a applicable with the correction model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### a

          protected double a

    - #### b

          protected double b

    - #### c

          protected double c

    - #### d

          protected double d

    - #### e

          protected double e

    - #### f

          protected double f

    - #### g

          protected double g

    - #### temperatureCorrection

          protected static java.lang.String temperatureCorrection

      temperature formula

  - ### Constructor Detail

    - #### Owczarzy08MagnesiumCorrection

          public Owczarzy08MagnesiumCorrection()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(Environment environment)

      Description copied from interface: `CorrectionMethod`
      Check if the environment chosen by the user is a applicable with the correction model.
      Specified by:
        `isApplicable` in interface `CorrectionMethod`
      Returns:
        false if the correction method can't be used with the Environment. If the environment can make the results less reliable, a warning message will appear.

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### correctTemperature

          protected double correctTemperature(Environment environment)

      corrects the computed melting temperature depending on the environment.
      Parameters:
        `environment` -
      Returns:
        double corrected melting temperature

    - #### displayVariable

          protected void displayVariable()

      logs the a, d and g variables.

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.